apiVersion: v1
kind: Pod
metadata:
  name: sctpserver
  namespace: test-sctp
  labels:
    name: sctpserver
  annotations:
    k8s.v1.cni.cncf.io/networks: macvlan-sctp-net
spec:
  securityContext:
    runAsNonRoot: true
    seccompProfile:
      type: RuntimeDefault
  containers:
    - name: sctpserver
      image: quay.io/openshifttest/hello-sdn@sha256:c89445416459e7adea9a5a416b3365ed3d74f2491beb904d61dc8d1eb89a72a4
      securityContext:
        allowPrivilegeEscalation: false
        capabilities:
          drop: ["ALL"]
      ports:
        - containerPort: 30102
          name: sctpserver
          protocol: SCTP
